package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class KirimBarangVO extends BaseTransactionVO {

	@ManyToOne
	@JoinColumn(name = "ObjectPermintaanBarangDariRuanganFk")
	@Caption(value = "Object Permintaan Barang Dari Ruangan")
	private PermintaanBarangDariRuanganVO permintaanBarangDariRuangan;

	@ManyToOne
	@JoinColumn(name = "ObjectRuanganFk")
	@Caption(value = "Object Ruangan")
	private RuanganVO ruangan;

	@ManyToOne
	@JoinColumn(name = "ObjectLoginUserFk")
	@Caption(value = "Object Login User")
	private LoginUserVO namaPemesan;

	@Caption(value = "Tgl Kirim")
	private Date tglKirim;

	@Caption(value = "Kode Barang")
	private String kodeBarang;

	@Caption(value = "Sumber Dana")
	private String sumberDana;

	@Caption(value = "Harga Satuan")
	private Double hargaSatuan;

	@Caption(value = "Kirim")
	private Integer kirim;

	@Caption(value = "Total Harga")
	private Double totalHarga;

	@Caption(value = "Nama Harga")
	private String namaBarang;

	@Caption(value = "Stok")
	private Integer stok;

	@Caption(value = "No Order")
	private String noOrder;

	@Caption(value = "Tgl Order")
	private Date tglOrder;

	@Column(name = "NoOrder", nullable = false)
	public String getNoOrder() {
		return noOrder;
	}

	public void setNoOrder(String noOrder) {
		this.noOrder = noOrder;
	}

	@Column(name = "TglOrder", nullable = false)
	public Date getTglOrder() {
		return tglOrder;
	}

	public void setTglOrder(Date tglOrder) {
		this.tglOrder = tglOrder;
	}

	public PermintaanBarangDariRuanganVO getPermintaanBarangDariRuangan() {
		return permintaanBarangDariRuangan;
	}

	public void setPermintaanBarangDariRuangan(PermintaanBarangDariRuanganVO permintaanBarangDariRuangan) {
		this.permintaanBarangDariRuangan = permintaanBarangDariRuangan;
	}

	public RuanganVO getRuangan() {
		return ruangan;
	}

	public void setRuangan(RuanganVO ruangan) {
		this.ruangan = ruangan;
	}

	@Column(name = "TglKirim", nullable = false)
	public Date getTglKirim() {
		return tglKirim;
	}

	public void setTglKirim(Date tglKirim) {
		this.tglKirim = tglKirim;
	}

	@Column(name = "KodeBarang", nullable = false)
	public String getKodeBarang() {
		return kodeBarang;
	}

	public void setKodeBarang(String kodeBarang) {
		this.kodeBarang = kodeBarang;
	}

	@Column(name = "SumberDana", nullable = false)
	public String getSumberDana() {
		return sumberDana;
	}

	public void setSumberDana(String sumberDana) {
		this.sumberDana = sumberDana;
	}

	@Column(name = "HargaSatuan", nullable = false)
	public Double getHargaSatuan() {
		return hargaSatuan;
	}

	public void setHargaSatuan(Double hargaSatuan) {
		this.hargaSatuan = hargaSatuan;
	}

	@Column(name = "Kirim", nullable = false)
	public Integer getKirim() {
		return kirim;
	}

	public void setKirim(Integer kirim) {
		this.kirim = kirim;
	}

	@Column(name = "TotalHarga", nullable = false)
	public Double getTotalHarga() {
		return totalHarga;
	}

	public void setTotalHarga(Double totalHarga) {
		this.totalHarga = totalHarga;
	}

	public LoginUserVO getNamaPemesan() {
		return namaPemesan;
	}

	public void setNamaPemesan(LoginUserVO namaPemesan) {
		this.namaPemesan = namaPemesan;
	}

	@Column(name = "NamaBarang", nullable = false)
	public String getNamaBarang() {
		return namaBarang;
	}

	public void setNamaBarang(String namaBarang) {
		this.namaBarang = namaBarang;
	}

	@Column(name = "Stok", nullable = false)
	public Integer getStok() {
		return stok;
	}

	public void setStok(Integer stok) {
		this.stok = stok;
	}

}
